Subject: Re: [PATCH] Fix kobject_rename and !CONFIG_SYSFS v4

From: [email-masked] (Eric W. Biederman)
Date: Wed, 14 May 2008 02:01:37 -0700

Andrew Morton <[email-masked]> writes:

>> diff --git a/include/linux/sysfs.h b/include/linux/sysfs.h
>> index 7858eac..6e61033 100644
>> --- a/include/linux/sysfs.h
>> +++ b/include/linux/sysfs.h
>> @@ -20,6 +20,8 @@
>>  struct kobject;
>>  struct module;
>>  
>> +extern int kobject_set_name(struct kobject *kobj, const char *name, ...)
>> +			    __attribute__((format(printf, 2, 3)));
>
> Duplicating the kobject_set_name() declaration in sysfs.h is rather a hack.
A bit.  It really isn't worse then a struct declaration like struct kobject;

> It'd be better to move it into a new header file, included by both
> sysfs.h and kobject.h.  Perhaps there are other declarations which can
> be moved with it.

My gut feel says that sysfs.h should include kobject.h instead of the
other way around.

However it gets reorganized, it is an entirely separate problem
from the one this patch sets out to solve and so should go in
a different patch.

Eric